petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetTabLevel

Sets the number of tabs that ASCII output for the ksp andn its pc will use.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetTabLevel(KSP ksp, PetscInt tab)

Not Collective Many br

### Input Parameters

| ksp | - a KSP object Many br
| tab | - the number of tabs Many br

Many br

Notes: this is used to manage the output from KSP and PC objects that are imbedded in other objects, Many brfor example, the KSP object inside a SNES object. By indenting each lower level further the heirarchy Many brof objects is very clear. By setting the KSP object's tab level with KSPSetTabLevel() its PC object Many brautomatically receives the same tab level, so that whatever objects the pc might create are tabbed Many brappropriately, too. Many br

### See Also

KSPGetTabLevel()

Level:developer
Location:src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages